Subject: Re: [RFC PATCH v3 6/8] leds: trigger: add hardware-phy-activity trigger

From: Andrew Lunn <[email-masked]>
Date: Tue, 9 Nov 2021 22:28:34 +0100

> +/* The attrs will be placed dynamically based on the supported triggers */
> +static struct attribute *phy_activity_attrs[PHY_ACTIVITY_MAX_TRIGGERS + 1];

This cannot be global. I have boards with a mixture of different PHYs
and switches. Each will have their own collection of supported
modes. And some PHYs have different modes per LED. 

       Andrew